#include "Class.h"
#include "olcPixelGameEngine.h"
#include "DEFINES.h"
#include "Player.h"
#include "Effect.h"
#include "Crawler.h"

INCLUDE_MONSTER_LIST
INCLUDE_BULLET_LIST
INCLUDE_game

std::string Witch::name="Witch";
Class Witch::cl=WITCH;
Ability Witch::rightClickAbility={"???",15,0,VERY_DARK_BLUE,DARK_BLUE};
Ability Witch::ability1={"???",12,40};
Ability Witch::ability2={"???",15,50};
Ability Witch::ability3={"???",40,60};
Ability Witch::ability4={"???",0,0};
AnimationState Witch::idle_n=WARRIOR_IDLE_N;
AnimationState Witch::idle_e=WARRIOR_IDLE_E;
AnimationState Witch::idle_s=WARRIOR_IDLE_S;
AnimationState Witch::idle_w=WARRIOR_IDLE_W;
AnimationState Witch::walk_n=WARRIOR_WALK_N;
AnimationState Witch::walk_e=WARRIOR_WALK_E;
AnimationState Witch::walk_s=WARRIOR_WALK_S;
AnimationState Witch::walk_w=WARRIOR_WALK_W;

SETUP_CLASS(Witch)

void Witch::OnUpdate(float fElapsedTime){

}

bool Witch::AutoAttack(){
    return false;
}
void Witch::InitializeClassAbilities(){
    #pragma region Witch Right-click Ability (???)
        Witch::rightClickAbility.action=
            [&](){
                return false;
            };
    #pragma endregion
    #pragma region Witch Ability 1 (???)
        Witch::ability1.action=
            [&](){
                return false;
            };
    #pragma endregion
    #pragma region Witch Ability 2 (???)
        Witch::ability2.action=
            [&](){
                return false;
            };
    #pragma endregion
    #pragma region Witch Ability 3 (???)
        Witch::ability3.action=
            [&](){
                return false;
            };
    #pragma endregion
}